SDL_strtod(3)

NAME
SDL_strtod - Parse a double from a string.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_strtod(const char *str, char **endp);

DESCRIPTION
This function makes fewer guarantees than the C runtime strtod :

• Only decimal notation is guaranteed to be supported. The handling of
  scientific and hexadecimal notation is unspecified.

• Whether or not INF and NAN can be parsed is unspecified.

• The precision of the result is unspecified.

FUNCTION PARAMETERS

str the null-terminated string to read. Must not be NULL.

endp
    if not NULL, the address of the first invalid character (i.e. the next character after the parsed number) will be written to this pointer.

RETURN VALUE
Returns the parsed double , or 0 if no number could be parsed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_atoi(3), •(3), SDL_atof(3), •(3), SDL_strtol(3), •(3), SDL_strtoll(3), •(3), SDL_strtoul(3), •(3), SDL_strtoull(3)